Summary:   A WYSIWYG frontend to LaTeX
Name:      lyx
Version:   0.11.53
Release:   1
Source:    ftp://ftp.via.ecp.fr/pub/lyx/devel/0.11/lyx-%{PACKAGE_VERSION}.tar.gz
Copyright: GPL
Group:     X11/Applications/Publishing
Requires:  xforms >= 0.86, gv, tetex-xdvi, tetex, tetex-latex
Packager:  Tomasz Koczko <kloczek@idk.com.pl>
URL:       http://www-pu.informatik.uni-tuebingen.de/users/ettrich/lyx.html
Buildroot: /tmp/lyx-%{PACKAGE_VERSION}-root
%description
LyX is a wordprocessor frontend to LaTeX, which gives both the
ease-of-use of a wordprocessor, and the flexibility and power of LaTeX.

%prep
%setup

%build
CXXFLAGS="$RPM_OPT_FLAGS" \
./configure     --prefix=/usr/X11R6 \
		--with-gnu-gettext \
		--enable-nls

make all localedir=/usr/share/locale

(cd development/latex2lyx; make)

%install
rm -rf $RPM_BUILD_ROOT

make	install prefix=$RPM_BUILD_ROOT/usr/X11R6 \
	gnulocaledir=$RPM_BUILD_ROOT/usr/share/locale

install -s development/latex2lyx/latex2lyx $RPM_BUILD_ROOT/usr/X11R6/bin
strip $RPM_BUILD_ROOT/usr/X11R6/bin/{lyx,latex2lyx}

%post
cd /usr/X11R6/share/lyx/
./configure > /dev/null
cp /usr/X11R6/share/lyx/lyxrc.defaults /usr/X11R6/share/lyx/lyxrc

%preun
rm -f /usr/X11R6/share/lyx/{lyxrc.defaults,textclass.lst,lyxrc}

%clear
rm -rf $RPM_BUILD_ROOT

%files
%attr(-, root, root) %doc ANNOUNCE APPLIED_PATCHES BUGS CHANGES COPYING README
%attr(-, root, root) %doc ABOUT-NLS TODO
%attr(755, root, root) /usr/X11R6/bin/lyx
%attr(755, root, root) /usr/X11R6/bin/latex2lyx
%attr(644, root, man) /usr/X11R6/man/man1/lyx.1
%attr(755, root, root) %dir /usr/X11R6/share/lyx
%attr(644, root, root) /usr/X11R6/share/lyx/packages.lst
%attr(755, root, root) /usr/X11R6/share/lyx/configure
%attr(644, root, root) /usr/X11R6/share/lyx/chkconfig.ltx
%attr(644, root, root) /usr/X11R6/share/lyx/CREDITS
%attr(755, root, root) %dir /usr/X11R6/share/lyx/bind
%attr(644, root, root) /usr/X11R6/share/lyx/bind/*
%attr(755, root, root) %dir /usr/X11R6/share/lyx/clipart
%attr(644, root, root) /usr/X11R6/share/lyx/clipart/*
%attr(755, root, root) %dir /usr/X11R6/share/lyx/doc
%attr(644, root, root) /usr/X11R6/share/lyx/doc/*
%attr(755, root, root) %dir /usr/X11R6/share/lyx/examples
%attr(644, root, root) /usr/X11R6/share/lyx/examples/*
%attr(755, root, root) %dir /usr/X11R6/share/lyx/kbd
%attr(644, root, root) /usr/X11R6/share/lyx/kbd/*
%attr(755, root, root) %dir /usr/X11R6/share/lyx/images
%attr(644, root, root) /usr/X11R6/share/lyx/images/*
%attr(755, root, root) %dir /usr/X11R6/share/lyx/layouts
%attr(644, root, root) /usr/X11R6/share/lyx/layouts/*
%attr(755, root, root) %dir /usr/X11R6/share/lyx/templates
%attr(644, root, root) /usr/X11R6/share/lyx/templates/*
%attr(755, root, root) %dir /usr/X11R6/share/lyx/tex
%attr(644, root, root) /usr/X11R6/share/lyx/tex/*
%attr(644, root, root) /usr/share/locale/*/LC_MESSAGES/lyx.mo

%changelog
* Sat Nov 22 1997 Tomasz Koczko <kloczek@idk.com.pl>      (0.11.52-2)
- stoped removing /usr/X11R6/share/lyx/CREDITS (neccesary for dialog Help->
  Credits ..),
- fixed localedir on compile time,
- changed URL (to LyX homepage).
* Thu Nov 20 1997 Tomasz Koczko <kloczek@idk.com.pl>      (0.11.52-1)
- "rm -rf $RPM_BUILD_ROOT" moved from %prep to %install,
- added %clear section,
- fixed entry in %files for *.mo Locale messages files.
* Wed Nov  5 1997 Tomasz Koczko <kloczek@idk.com.pl>      (0.11.47-1)
- added in Requires: gv, tetex-xdvi, tetex, tetex-latex
- added removing /usr/X11R6/share/lyx/lyxrc in %preun.
* Thu Sep 18 1997 Tomasz Koczko <kloczek@idk.com.pl>      (0.11.40-1)
- added missing /usr/X11R6/share/lyx/images.
* Fri Sep 12 1997 Tomasz Koczko <kloczek@idk.com.pl>      (0.11.37-1)
- changed %attr in %doc to (-, root, root),
* Sat Sep  6 1997 Tomasz Koczko <kloczek@idk.com.pl>      (0.11.36-1)
- added "gnulocaledir=/usr/share/locale" to make all in %build,
- fixed path in gnulocaledir to $RPM_BUILD_ROOT/usr/share/locale in
  make install (%install),
* Wed Aug 13 1997 Tomasz Koczko <kloczek@idk.com.pl>      (0.11.35-1)
- added --with-gnu-gettext and --enable-nls to configure,
- added mised %attr in %files,
- /usr/X11R6/share/lyx/CREDITS moved to %doc,
- changed Build root to /tmp/lyx-%%{PACKAGE_VERSION}-root
- added %post and %preun,
* Wed Aug 6 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- added %attr macros in %files (allow build package from non root account),
- added striping latex2lyx,
* Tue Jun 1 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- in "Source:" macro %%{PACKAGE_VERSION},
- new version 0.11.29.1.
* Tue May 27 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- changed prefix to /usr/X11R6,
- rewrited spec for using Buildroot,
- added URL.
